package com.amap.app.cloud.activity;

import android.app.Application;
import android.content.SharedPreferences;
import com.amap.app.cloud.net.Protocal;
import com.amap.app.cloud.util.ConfigableConst;

public class YuntuApplication extends Application {
	private boolean getSID = true;
	private Protocal mProtocal;

	// 是否正在登录
	public boolean isLogging = false;
	// 是否已经登录
	public boolean isLogged = false;
	// 错误消息
	public String errMsg = null;

	@Override
	public void onCreate() {
		super.onCreate();
		mProtocal = ConfigableConst.getProtocalInstance(getApplicationContext());
		sidget.start();
	}

	@Override
	public void onTerminate() {
		super.onTerminate();
		getSID = false;
	}

	Thread sidget = new Thread() {
		@Override
		public void run() {
			while (getSID && !this.isInterrupted()) {
				long time = 1000 * 60 * 15;
				try {
					sleep(time);
				} catch (InterruptedException e) {
					e.printStackTrace();
					this.interrupt();
				}
				SharedPreferences sharedata = getSharedPreferences("SP",
						MODE_PRIVATE);
				String mNameStr = sharedata.getString("NAME", null);
				String mPasswordStr = sharedata.getString("PASSWORD", null);
				if (mNameStr != null && mPasswordStr != null && !isLogging) {
					requestLogin(mNameStr, mPasswordStr);
				}
			}
		}

		private synchronized void requestLogin(final String userName,
				final String password) {
			// 处理登录逻辑
		}

	};
}
