/**
 */
package com.amap.app.cloud.callback;

import android.graphics.Bitmap;
import android.widget.ImageView;

/**
 * @Description: 图片加载回调接口 
 * @Project: YuntuConsoleAPP
 * @Class: ImageCallback
 * @date 2015年1月31日 下午7:21:31
 */
public interface ImageCallback {
	/**
	 * 图片加载完成后的回调 
	 * @param imageView 转载图片的View
	 * @param bitmap 图片的bitmap
	 * @param params
	 */
	public void onImageLoaded(ImageView imageView, Bitmap bitmap,
			Object... params);
}
